#! /usr/bin/python
# -*- coding: utf-8 -*-

import os
import sys
from pylab import *

print
name = raw_input('ime i prezime: ')



par = sys.argv
if len(par) > 1:
    pass
else:
    print
    print 'paticence: this may take a while!!!'
    
    print
    print 'processing "o" points . . .'
    os.system('python os.py')

    print
    print 'processing "a" points . . .'
    os.system('python obrada.py a')

    print
    print 'processing "b" points . . .'
    os.system('python obrada.py b')

    print
    print 'processing "c" points . . .'
    os.system('python obrada.py c')

    print
    print 'processing "d" points . . .'
    os.system('python obrada.py d')

    print
    print 'figures for "a" points . . . takes a while!!!'
    os.system('python slike.py a')

    print
    print 'figures for "b" points . . . takes a while!!!'
    os.system('python slike.py b')

    print
    print 'figures for "c" points . . . takes a while!!!'
    os.system('python slike.py c')

    print
    print 'figures for "d" points . . . takes a while!!!'
    os.system('python slike.py d')

    print
    print 'processing dependencies on Iout . . . REALLY takes a while!!!'
    os.system('python oniout.py')



print 'formatting the report . . .'

f = open('report-12-pulse.tex', 'w')
f.write(r'''\documentclass[a4paper, 12pt]{article}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[serbian]{babel}

\usepackage[margin=2cm]{geometry}

\usepackage{graphicx}

\usepackage{amsmath}

\usepackage[unicode]{hyperref}

\usepackage{datetime}

\title{Izveštaj sa laboratorijske vežbe \\
\textbf{Dvanaestoimpulsni ispravljač}}

\author{''' + name + r'''}

\date{\today \\ \currenttime}



\begin{document}



\maketitle

\bigskip \bigskip

\tableofcontents



\clearpage

\section{Prazan hod, $I_{OUT} = 0$}

\input{tables-o-12-pulse}

\begin{figure}[h!]
\centering
\includegraphics[scale=0.6]{o-in-waveforms.pdf}

\caption{Input waveforms, no load.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{o-ta-waveforms.pdf}

\caption{Transformer A waveforms, no load.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{o-tb-waveforms.pdf}

\caption{Transformer B waveforms, no load.}
\end{figure}



\clearpage

\section{Analiza za $I_{OUT} = 0.7 \, \text{A}$}

\begin{figure}[h!]
\centering
\includegraphics[scale=0.6]{a-in-waveforms.pdf}

\caption{Input waveforms, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}


\input{tables-a-12-pulse}


\begin{figure}
\centering
\includegraphics[scale=0.6]{a-in-spectra.pdf}

\caption{Input spectra, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-ta-waveforms.pdf}

\caption{Transformer A waveforms, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-ta-spectra.pdf}

\caption{Transformer A spectra, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-tb-waveforms.pdf}

\caption{Transformer B waveforms, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-tb-spectra.pdf}

\caption{Transformer B spectra, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-ra-waveforms.pdf}

\caption{Rectifier A waveforms, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-ra-spectra.pdf}

\caption{Rectifier A spectra, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-rb-waveforms.pdf}

\caption{Rectifier B waveforms, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-rb-spectra.pdf}

\caption{Rectifier B spectra, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-out-waveforms.pdf}

\caption{Output waveforms, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{a-out-spectra.pdf}

\caption{Output spectra, $I_{OUT} = 0.7 \, \text{A}$.}
\end{figure}



\clearpage

\section{Analiza za $I_{OUT} = 1 \, \text{A}$}

\begin{figure}[h!]
\centering
\includegraphics[scale=0.6]{b-in-waveforms.pdf}

\caption{Input waveforms, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}


\input{tables-b-12-pulse}


\begin{figure}
\centering
\includegraphics[scale=0.6]{b-in-spectra.pdf}

\caption{Input spectra, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-ta-waveforms.pdf}

\caption{Transformer A waveforms, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-ta-spectra.pdf}

\caption{Transformer A spectra, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-tb-waveforms.pdf}

\caption{Transformer B waveforms, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-tb-spectra.pdf}

\caption{Transformer B spectra, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-ra-waveforms.pdf}

\caption{Rectifier A waveforms, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-ra-spectra.pdf}

\caption{Rectifier A spectra, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-rb-waveforms.pdf}

\caption{Rectifier B waveforms, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-rb-spectra.pdf}

\caption{Rectifier B spectra, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-out-waveforms.pdf}

\caption{Output waveforms, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{b-out-spectra.pdf}

\caption{Output spectra, $I_{OUT} = 1 \, \text{A}$.}
\end{figure}



\clearpage

\section{Analiza za $I_{OUT} = 1.5 \, \text{A}$}

\begin{figure}[h!]
\centering
\includegraphics[scale=0.6]{c-in-waveforms.pdf}

\caption{Input waveforms, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}


\input{tables-c-12-pulse}


\begin{figure}
\centering
\includegraphics[scale=0.6]{c-in-spectra.pdf}

\caption{Input spectra, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-ta-waveforms.pdf}

\caption{Transformer A waveforms, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-ta-spectra.pdf}

\caption{Transformer A spectra, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-tb-waveforms.pdf}

\caption{Transformer B waveforms, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-tb-spectra.pdf}

\caption{Transformer B spectra, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-ra-waveforms.pdf}

\caption{Rectifier A waveforms, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-ra-spectra.pdf}

\caption{Rectifier A spectra, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-rb-waveforms.pdf}

\caption{Rectifier B waveforms, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-rb-spectra.pdf}

\caption{Rectifier B spectra, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-out-waveforms.pdf}

\caption{Output waveforms, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{c-out-spectra.pdf}

\caption{Output spectra, $I_{OUT} = 1.5 \, \text{A}$.}
\end{figure}



\clearpage

\section{Analiza za $I_{OUT} = 2 \, \text{A}$}

\begin{figure}[h!]
\centering
\includegraphics[scale=0.6]{d-in-waveforms.pdf}

\caption{Input waveforms, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}


\input{tables-d-12-pulse}


\begin{figure}
\centering
\includegraphics[scale=0.6]{d-in-spectra.pdf}

\caption{Input spectra, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-ta-waveforms.pdf}

\caption{Transformer A waveforms, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-ta-spectra.pdf}

\caption{Transformer A spectra, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-tb-waveforms.pdf}

\caption{Transformer B waveforms, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-tb-spectra.pdf}

\caption{Transformer B spectra, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-ra-waveforms.pdf}

\caption{Rectifier A waveforms, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-ra-spectra.pdf}

\caption{Rectifier A spectra, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-rb-waveforms.pdf}

\caption{Rectifier B waveforms, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-rb-spectra.pdf}

\caption{Rectifier B spectra, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-out-waveforms.pdf}

\caption{Output waveforms, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\begin{figure}
\centering
\includegraphics[scale=0.6]{d-out-spectra.pdf}

\caption{Output spectra, $I_{OUT} = 2 \, \text{A}$.}
\end{figure}

\input{on-iout}

\input{thevenin}

\end{document}''')

f.close()

print
print 'LaTeX takes over . . .'
print

os.system('pdflatex report-12-pulse.tex')
os.system('pdflatex report-12-pulse.tex')

print

